using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class TrainRecord : DataEntityBase
	{
		public TrainRecord()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.String _TrainName;
		public System.String TrainName
		{
			get
			{
				return this._TrainName;
			}
			set
			{
				this._TrainName = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TrainDate;
		public System.DateTime TrainDate
		{
			get
			{
				return this._TrainDate;
			}
			set
			{
				this._TrainDate = value;
				IsChanged = true;
			}
		}

		private System.Double _TrainResult;
		public System.Double TrainResult
		{
			get
			{
				return this._TrainResult;
			}
			set
			{
				this._TrainResult = value;
				IsChanged = true;
			}
		}

		private System.Int32 _EmployeeID;
		public System.Int32 EmployeeID
		{
			get
			{
				return this._EmployeeID;
			}
			set
			{
				this._EmployeeID = value;
				IsChanged = true;
			}
		}

		private System.String _EmployeeName;
		public System.String EmployeeName
		{
			get
			{
				return this._EmployeeName;
			}
			set
			{
				this._EmployeeName = value;
				IsChanged = true;
			}
		}
	}
}